Create a customer profile bank accountAsk AIpost https://api-sandbox.straitsx.com/v1/customer_profile/{customer_profile_id}/bank_accounts[Available in Sandbox/Production environment] Add a bank account for a customer profilePath Paramscustomer_profile_idstringrequiredCustomer Profile ID is retrieved from the response id of Create Customer Profile APIRegex: /^\s*.{1,191}\s*$/Body Paramsaccount_nostringrequiredBank account numberBank account length: Between 5 - 34Regex: /^[a-zA-Z0-9\-]{5,34}$/bankstringOnly required for FASTSG Bank account abbreviation (abbreviation) can be retrieved from Get a list of supported banks APIRegex: /^\s*.{1,191}\s*$/swift_bicstringSWIFT code of the bank accountRequired field if you are doing SWIFT paymentsRegex: /^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$/intermediary_swift_bicstringIntermediary SWIFT code if applicable(Must be alphanumeric with 11 characters)Regex: /^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$/routing_codestringRouting code if applicable(Must be alphanumeric with maximum 31 characters)Regex: /^[A-Z0-9]{1,31}$/account_holder_namestringrequiredName of bank account holder(The length must be within 191 characters)Regex: /^\s*.{1,191}\s*$/bank_account_proofobjectrequiredMust have either fileData or fileUrlbank_account_proof objectpayment_reasonstringPayment reason is a field used to pass clear, specific instructions to the receiving bank.Length: 1 - 150 characters (Non-blank)Regex: /^\s*.{1,150}\s*$/Note: This value will override the default Remittance Information (MT103 Field 70 / pacs.008) in the final payment message sent to the bank when provided.HeadersX-XFERS-APP-API-KEYstringrequiredYou can retrieve this from your Dashboard Developer Tools.Note: The X-XFERS-APP-API-KEY is a mandatory header for all authentication methods, including standard API key usage and HTTP Request Signing mode.X-PUBLIC-KEY-IDstringThe Key ID, can be retrieved from your StraitsX Dashboard.Note: This header attribute is required when HTTP Request Signing is enabled for your account.X-TIMESTAMPstringCurrent Unix epoch time in seconds. Must be within ±300 seconds of server time.Note: This header attribute is required when HTTP Request Signing is enabled for your account.X-NONCEstringA unique UUID string per request, used for replay protection. Must not be reused within the timestamp window.Regex: /\A[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}\z/iNote: This header attribute is required when HTTP Request Signing is enabled for your account.X-SIGNATUREstringBase64-encoded digital signature of the canonical request string.Note: This header attribute is required when HTTP Request Signing is enabled for your account.Responses 200200 400400Updated 9 months ago